Create a file
curl --request POST \
--url https://api.engine.usesophic.com/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signed_upload": "<string>"
}
'import requests
url = "https://api.engine.usesophic.com/files"
payload = { "signed_upload": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signed_upload: '<string>'})
};
fetch('https://api.engine.usesophic.com/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"purpose": "verification_evidence",
"signed_upload": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Files
Create a file
Create a file from a signed upload. Please use the id that was returned when the signed upload was requested.
POST
/
files
Create a file
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID of the signed upload to create the file from.
Response
Created
MIME type of the uploaded file.
Name of the uploaded file.
Unique resource identifier.
Purpose of the uploaded file.
Available options:
verification_evidence, legal_document, welcome_letter, order_confirmation, fee_statement, account_statement ID of the signed upload that created the file.